Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IEditorDescriptor

All Superinterfaces:
  IWorkbenchPartDescriptor

public interface IEditorDescriptor
extends IWorkbenchPartDescriptor

Description of an editor in the workbench editor registry. The editor descriptor contains the information needed to create editor instances.

An editor descriptor typically represents one of three types of editors:

- a file editor extension for a specific file extension.
- a file editor added by the user (via the workbench preference page)
- a general editor extension which works on objects other than files.

This interface is not intended to be implemented or extended by clients.

See Also:
  `IEditorRegistry`

Method Summary
`String` | `getId()` Returns the editor id.
`ImageDescriptor` | `getImageDescriptor()` Returns the descriptor of the image for this editor.
`String` | `getLabel()` Returns the label to show for this editor.
`boolean` | `isInternal()` Returns whether this editor descriptor will open a regular editor part inside the editor area.
`boolean` | `isOpenExternal()` Returns whether this editor descriptor will open an external editor in a new window outside the workbench.
`boolean` | `isOpenInPlace()` Returns whether this editor descriptor will open an external editor in-place inside the editor area.

Method Detail

### getId

    public String getId()

  Returns the editor id.

  For internal editors, this is the extension id as defined in the workbench registry; for external editors, it is path and file name of the external program.

  Specified by:
    `getId` in interface `IWorkbenchPartDescriptor`
  Returns:
    the id of the editor

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Returns the descriptor of the image for this editor.

  Specified by:
    `getImageDescriptor` in interface `IWorkbenchPartDescriptor`
  Returns:
    the descriptor of the image to display next to this editor

### getLabel

    public String getLabel()

  Returns the label to show for this editor.

  Specified by:
    `getLabel` in interface `IWorkbenchPartDescriptor`
  Returns:
    the editor label

### isInternal

    public boolean isInternal()

  Returns whether this editor descriptor will open a regular editor part inside the editor area.

  Returns:
    `true` if editor is inside editor area, and `false` otherwise
  Since:
    3.0

### isOpenInPlace

    public boolean isOpenInPlace()

  Returns whether this editor descriptor will open an external editor in-place inside the editor area.

  Returns:
    `true` if editor is in-place, and `false` otherwise
  Since:
    3.0

### isOpenExternal

    public boolean isOpenExternal()

  Returns whether this editor descriptor will open an external editor in a new window outside the workbench.

  Returns:
    `true` if editor is external, and `false` otherwise
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.